aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-simplejson/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-03-08 21:14:01 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-03-11 14:07:26 +0000
commitd74997801c24cbeb3468a5adedb26ddbe3900049 (patch)
treee562916c16f561a08c3049d5d9cbc5c2a8856c7e /testing/py-simplejson/APKBUILD
parentcd5ebd1a5e15aa510936009853f9662076b7a755 (diff)
downloadaports-d74997801c24cbeb3468a5adedb26ddbe3900049.tar.gz
aports-d74997801c24cbeb3468a5adedb26ddbe3900049.tar.bz2
aports-d74997801c24cbeb3468a5adedb26ddbe3900049.tar.xz
testing/py-simplejson: upgrade to 3.1.0
Diffstat (limited to 'testing/py-simplejson/APKBUILD')
-rw-r--r--testing/py-simplejson/APKBUILD21
1 files changed, 12 insertions, 9 deletions
diff --git a/testing/py-simplejson/APKBUILD b/testing/py-simplejson/APKBUILD
index dc357fafbc..477b898b90 100644
--- a/testing/py-simplejson/APKBUILD
+++ b/testing/py-simplejson/APKBUILD
@@ -1,20 +1,21 @@
# Contributor: Francesco Colista <francesco.colista@gmail.com>
# Maintainer:
pkgname=py-simplejson
-_name=simplejson
-pkgver=2.6.2
+_pkgname=simplejson
+pkgver=3.1.0
pkgrel=0
pkgdesc="Simple, fast, extensible JSON encoder/decoder for Python"
url="http://pypi.python.org/pypi/simplejson/"
arch="all"
license="PSF"
depends=""
-depends_dev="python-dev"
-makedepends="$depends_dev"
+depends_dev=""
+makedepends="python-dev py-setuptools"
install=""
subpackages=""
-source="http://pypi.python.org/packages/source/s/simplejson/simplejson-2.6.2.tar.gz"
-_builddir=${srcdir}/${_name}-${pkgver}
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
prepare() {
local i
cd "$_builddir"
@@ -27,12 +28,14 @@ prepare() {
build() {
cd "$_builddir"
- python setup.py build
+ python setup.py build || return 1
}
package() {
cd "$_builddir"
- python setup.py install --root="$pkgdir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
}
-md5sums="9b41cd412dfac7c002aeca61ab0fdfe2 simplejson-2.6.2.tar.gz"
+md5sums="71df0076d4a35d29bfea530cb8226c26 simplejson-3.1.0.tar.gz"
+sha256sums="10c743fbec819e6ad77999c551f4b620ed498c2dd565c64365f0571b3a252523 simplejson-3.1.0.tar.gz"
+sha512sums="c456c689a72ea6d8bae5bd7cc6f41713faca8b4fdd5728694479b861c01d7191aa4e8e864773133093f1c591d2f5ac819b3ac2023bbe59c1793c37aa8e6e88b1 simplejson-3.1.0.tar.gz"